/* ========================================= op.job.ticket.h ============================================== */
/* ..................................................|..................................................... */

/* -------------------------------------------------------------------------------------------------------- */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/*        1         2         3         4         5         6         7         8         9         10      */
/* ..................................................|..................................................... */
/*                                        Author: Glen Petrie                                               */
/****************************************************|*******************************************************/
/*                                                                                                          */
/*    Copyright (c) 2011-2013                SEIKO EPSON CORPORATION            All Rights Reserved         */
/*                                                                                                          */
/*                                      Common Public License - v 1.0                                       */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE ("AGREEMENT").      */
/*   ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS        */
/*   AGREEMENT.                                                                                             */
/*                                                                                                          */
/* 1. DEFINITIONS                                                                                           */
/*    "Contribution" means:                                                                                 */
/*    a) in the case of the initial Contributor, the initial code and documentation distributed under this  */
/*       Agreement, and                                                                                     */
/*    b) in the case of each subsequent Contributor:                                                        */
/*        i) changes to the Program, and                                                                    */
/*       ii) additions to the Program;                                                                      */
/*                                                                                                          */
/*       where such changes and/or additions to the Program originate from and are distributed by that      */
/*       particular Contributor. A Contribution 'originates' from a Contributor if it was added to the      */
/*       Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions    */
/*       do not include additions to the Program which:                                                     */
/*      (i) are separate modules of software distributed in conjunction with the Program under their own    */
/*          license agreement, and                                                                          */
/*     (ii) are not derivative works of the Program.                                                        */
/*                                                                                                          */
/*    "Contributor" means any person or entity that distributes the Program.                                */
/*                                                                                                          */
/*    "Licensed Patents" mean patent claims licensable by a Contributor which are necessarily infringed     */
/*    by the use or sale of its Contribution alone or when combined with the Program.                       */
/*                                                                                                          */
/*    "Program" means the Contributions distributed in accordance with this Agreement.                      */
/*                                                                                                          */
/*    "Recipient" means anyone who receives the Program under this Agreement, including all Contributors.   */
/*                                                                                                          */
/* 2. GRANT OF RIGHTS                                                                                       */
/*    a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly      */
/*       display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, */
/*       and such derivative works, in source code and object code form.                                    */
/*    b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive,  */
/*       worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell,   */
/*       import and otherwise transfer the Contribution of such Contributor, if any, in source code and     */
/*       object code form. This patent license shall apply to the combination of the Contribution and the   */
/*       Program if, at the time the Contribution is added by the Contributor, such addition of the         */
/*       Contribution causes such combination to be covered by the Licensed Patents.  The patent license    */
/*       shall not apply to any other combinations which include the Contribution. No hardware per se is    */
/*       licensed hereunder.                                                                                */
/*    c) Recipient understands that although each Contributor grants the licenses to its Contributions set  */
/*       forth herein, no assurances are provided by any Contributor that the Program does not infringe the */
/*       patent or other intellectual property rights of any other entity. Each Contributor disclaims any   */
/*       liability to Recipient for claims brought by any other entity based on infringement of             */
/*       intellectual property rights or otherwise. As a condition to exercising the rights and licenses    */
/*       granted hereunder, each Recipient hereby assumes sole responsibility to secure any other           */
/*       intellectual property rights needed, if any.  For example, if a third party patent license is      */
/*       required to allow Recipient to distribute the Program, it is Recipient's responsibility to         */
/*       acquire that license before distributing the Program.                                              */
/*    d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its        */
/*       Contribution, if any, to grant the copyright license set forth in this Agreement.                  */
/*                                                                                                          */
/* 3. REQUIREMENTS                                                                                          */
/*    A Contributor may choose to distribute the Program in object code form under its own license          */
/*    agreement, provided that:                                                                             */
/*    a) it complies with the terms and conditions of this Agreement; and                                   */
/*    b) its license agreement:                                                                             */
/*        i) effectively disclaims on behalf of all Contributors all warranties and conditions, express     */
/*           and implied, including warranties or conditions of title and non-infringement, and implied     */
/*           warranties or conditions of merchantability and fitness for a particular purpose;              */
/*       ii) effectively excludes on behalf of all Contributors all liability for damages, including        */
/*           direct, indirect, special, (incidental and consequential damages, such as lost profits;        */
/*      iii) states that any provisions which differ from this Agreement are offered by that Contributor    */
/*           alone and not by any other party; and                                                          */
/*       iv) states that source code for the Program is available from such Contributor, and informs        */
/*           licensees how to obtain it in a reasonable manner on or through a medium customarily used      */
/*           for software exchange.                                                                         */
/*    When the Program is made available in source code form:                                               */
/*        a) it must be made available under this Agreement; and                                            */
/*        b) a copy of this Agreement must be included with each copy of the Program.                       */
/*    Contributors may not remove or alter any copyright notices contained within the Program.              */
/*                                                                                                          */
/*    Each Contributor must identify itself as the originator of its Contribution, if any, in a manner      */
/*    that reasonably allows subsequent Recipients to identify the originator of the Contribution.          */
/*                                                                                                          */
/* 4. COMMERCIAL DISTRIBUTION                                                                               */
/*    Commercial distributors of software may accept certain responsibilities with respect to end users,    */
/*    business partners and the like. While this license is intended to facilitate the commercial use of    */
/*    the Program, the Contributor who includes the Program in a commercial product offering should do so   */
/*    in a manner which does not create potential liability for other Contributors. Therefore, if a         */
/*    Contributor includes the Program in a commercial product offering, such Contributor                   */
/*    ("Commercial Contributor") hereby agrees to defend and indemnify every other Contributor              */
/*    ("Indemnified Contributor") against any losses, damages and costs (collectively "Losses") arising     */
/*    from claims, lawsuits and other legal actions brought by a third party against the Indemnified        */
/*    Contributor to the extent caused by the acts or omissions of such Commercial Contributor in           */
/*    connection with its distribution of the Program in a commercial product offering. The obligations in  */
/*    this section do not apply to any claims or Losses relating to any actual or alleged intellectual      */
/*    property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the   */
/*    Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control,  */
/*    and cooperate with the Commercial Contributor in, the defense and any related settlement              */
/*    negotiations. The Indemnified Contributor may participate in any such claim at its own expense.       */
/*                                                                                                          */
/*    For example, a Contributor might include the Program in a commercial product offering, Product X.     */
/*    That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes          */
/*    performance claims, or offers warranties related to Product X, those performance claims and           */
/*    warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial */
/*    Contributor would have to defend claims against the other Contributors related to those performance   */
/*    claims and warranties, and if a court requires any other Contributor to pay any damages as a result,  */
/*    the Commercial Contributor must pay those damages.                                                    */
/*                                                                                                          */
/* 5. NO WARRANTY                                                                                           */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS,         */
/*    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT            */
/*    LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS       */
/*    FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness    */
/*    of using and distributing the Program and assumes all risks associated with its exercise of rights    */
/*    under this Agreement, including but not limited to the risks and costs of program errors, compliance  */
/*    with applicable laws, damage to or loss of data, programs or equipment, and unavailability or         */
/*    interruption of operations.                                                                           */
/*                                                                                                          */
/* 6. DISCLAIMER OF LIABILITY                                                                               */
/*    EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE    */
/*    ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES      */
/*    (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER   */
/*    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT     */
/*    OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF    */
/*    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                                                           */
/*                                                                                                          */
/* 7. GENERAL                                                                                               */
/*    If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not     */
/*    affect the validity or enforceability of the remainder of the terms of this Agreement, and without    */
/*    further action by the parties hereto, such provision shall be reformed to the minimum extent          */
/*    necessary to make such provision valid and enforceable.                                               */
/*                                                                                                          */
/*    If Recipient institutes patent litigation against a Contributor with respect to a patent applicable   */
/*    to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted  */
/*    by that Contributor to such Recipient under this Agreement shall terminate as of the date such        */
/*    litigation is filed. In addition, if Recipient institutes patent litigation against any  entity       */
/*    (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding    */
/*    combinations of the Program with other software or hardware) infringes such Recipient's patent(s),    */
/*    then such Recipient's rights granted under Section 2(b) shall terminate as of the date such           */
/*    litigation is filed.                                                                                  */
/*                                                                                                          */
/*    All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the     */
/*    material terms or conditions of this Agreement and does not cure such failure in a reasonable         */
/*    period of time after becoming aware of such noncompliance. If all Recipient's rights under this       */
/*    Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as         */
/*    reasonably practicable. However, Recipient's obligations under this Agreement and any licenses        */
/*    granted by Recipient relating to the Program shall continue and survive.                              */
/*                                                                                                          */
/*    Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid          */
/*    inconsistency the Agreement is copyrighted and may only be modified in the following manner. The      */
/*    Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement  */
/*    from time to time. No one other than the Agreement Steward has the right to modify this Agreement.    */
/*    IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement     */
/*    Steward to a suitable separate entity. Each new version of the Agreement will be given a              */
/*    distinguishing version number. The Program (including Contributions) may always be distributed        */
/*    subject to the version of the Agreement under which it was received. In addition, after a new         */
/*    version of the Agreement is published, Contributor may elect to distribute the Program (including     */
/*    its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, */
/*    Recipient receives no rights or licenses to the intellectual property of any Contributor under this   */
/*    Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not    */
/*    expressly granted under this Agreement are reserved.                                                  */
/*                                                                                                          */
/*    This Agreement is governed by the laws of the State of New York and the intellectual property laws    */
/*    of the United States of America. No party to this Agreement will bring a legal action under this      */
/*    Agreement more than one year after the cause of action arose. Each party waives its rights to a       */
/*    jury trial in any resulting litigation.                                                               */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
/*                                                                                                          */
/* Code States:                                                                                             */
/*      Initial                                                                                             */
/*                          Developing                                                                      */
/*      Working                                                                                             */
/*      Tested                                                                                              */
/*      Refactored                                                                                          */
/*      Final Candidate                                                                                     */
/*      Final Code                                                                                          */
/*                                                                                                          */
/* *****%*******************%*****|************************************************************************ */
#ifndef __OPEN_PRINTING_JOB_TICKET_H__
#define __OPEN_PRINTING_JOB_TICKET_H__

/* ---------------------------------------------- Includes ------------------------------------------------ */
/* ..................................................|..................................................... */
#include "gp.typedefs.h"
#include "op.job.ticket.attributes.h"

/*--------------------------------------------- Data Types ------------------------------------------------ */
/* ..................................................|..................................................... */

/* ---------------------------------------------- Macros -------------------------------------------------- */
/* ..................................................|..................................................... */

/* --------------------------------------------- Definition ----------------------------------------------- */
/* ..................................................|..................................................... */
    /*** Open Printing Job Ticket Version:                                                                  */
    /***            Major = MM : Minor = mm : Revision = rr                                                 */
    /*** .................................................................................................. */
#define opJT_VERSION_MAJOR        01
#define opJT_VERSION_MINOR        00
#define opJT_VERSION_REVISION     00

    /*** Open Printing Job Information Base Version:                                                        */
    /***            Major = MM : Minor = mm : Revision = rr                                                 */
    /*** .................................................................................................. */
#define opJIB_VERSION_MAJOR        01
#define opJIB_VERSION_MINOR        00
#define opJIB_VERSION_REVISION     00

typedef gpINT32        opERR_CODE;

/* ------------------------------------- Data Structure Declarations -------------------------------------- */
/* ..................................................|..................................................... */
    /*** Open Printing Print Job Ticket                                                                     */
    /*** .................................................................................................. */
typedef struct _opPrintJobTicket {

    /*** Version for Job Ticket Instantiation                                                               */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT8     version[3];                            /* [V.xx.xx.xx]                                       */

    /*** Target Printer 1284.4 Identifier                                                                   */
    /* ---------------------------------------------------------------------------------------------------- */
    gpCHAR     dot4MFG[128];
    gpCHAR     dot4CMD[128];
    gpCHAR     dot4CLS[128];
    gpCHAR     dot4MDL[128];
    gpCHAR     dot4DES[128];

    /*** Content Object                                                                                     */
    /*** Currently only Raster                                                                              */
    /* ---------------------------------------------------------------------------------------------------- */
    gpIMAGE    raster;              /* Raster Content info                                                  */

    /*** External Job Identifier                                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    extJobId;

    /*** State/Attribute Information retrieved from the printer                                             */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    activePage;          /* -1 = not active; x = active                                          */
    gpINT32    activePaperPath;     /* Paper path indicated from ptr                                        */
    gpINT32    cleaningTime;        /* Cleaning Time                                                        */
    gpINT32    ptrCancelReq;        /* The printer requested cancel                                         */
    gpINT32    ptrPaperJam;         /* Printer detected paper jam                                           */

    /*** Print DPI                                                                                          */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    horzDotsPerInch;     /* Current Horz dots per inch                                           */
    gpINT32    vertDotsPerInch;     /* Current Vert dots per inch                                           */

    /*** Media Properties                                                                                   */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    mediaSizeIdx;        /* Size (by index) of media                                             */
    gpBIT32    mediaTypeIdx;        /* Type  of media (by index)                                            */
    gpBIT32    mediaColorIdx;       /* Color of media (by index)                                            */
    gpBIT32    mediaPreprintedType; /* Type of preprinted media                                             */

    gpBIT32    mediaWidth;          /* Width  (2880th) of media                                             */
    gpBIT32    mediaHeight;         /* Height (2880th) of media                                             */

    /*** Page Properties                                                                                    */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    topMargin;           /* User Top    margin (2880th)                                          */
    gpINT32    leftMargin;          /* User Left   margin (2880th)                                          */
    gpINT32    bottomMargin;        /* User Bottom margin (2880th)                                          */
    gpINT32    rightMargin;         /* User Right  margin (2880th)                                          */

    /*** Scaling/Zoom Properties                                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT32    scaleFactor;         /* Scale Factor App <=> Printer                                         */
    gpINT32    scaleXPos;           /* Position of center scaling                                           */
    gpINT32    scaleYPos;           /* Position of center scaling                                           */

    /*** User Entered "Print"/"Band" Specific                                                               */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    prtWidth;            /* User set print width                                                 */
    gpINT32    prtHeight;           /* User set print height                                                */
    gpINT32    bandWidth;           /* Band width                                                           */
    gpINT32    bandHeight;          /* Band Height                                                          */
    gpINT32    bandBPL;             /* Band image bytes per line                                            */

    /*** Color Attributes                                                                                   */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT32    pixelLayout;         /* Number and size of pixels                                            */
    gpBIT32    colorSpace;          /* "Color" "Space"                                                      */

    /*** Print Copies                                                                                       */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT32    copies;              /* Number of Copies                                                     */

    /*** Print Quality                                                                                      */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT32    contentType;         /* Content print optimization                                           */
    gpBIT32    printQuality;        /* Print Quality value                                                  */

    gpBIT32    bindType;            /* Type of binding                                                      */
    gpBIT32    collateType;         /* Type of collate                                                      */
    gpBIT32    compressType;        /* Type of compression                                                  */
    gpBIT32    contactRoles;        /* Roles of person                                                      */
    gpBIT32    feedOrient;          /* Orientation feed direction                                           */
    gpBIT32    fitPolicy;           /* How to fit content to media                                          */
    gpBIT32    foldType;            /* Type of folding to perform                                           */
    gpBIT32    hold;                /* Hold state and duration                                              */
    gpBIT32    alignmentX;          /* Alignment page content: x                                            */
    gpBIT32    alignmentY;          /* Alignment page content: y                                            */
    gpBIT32    inTray;              /* Input Media Tray                                                     */
    gpBIT32    jogType;             /* Type (if any) jog offset                                             */
    gpBIT32    lengthUnits;         /* Length Units                                                         */
    gpBIT32    outBin;              /* Output Bin                                                           */
    gpBIT32    outPageOrder;		    /* Output pages ordering                                                */
    gpBIT32    presDirType;         /* Placement order on a page                                            */
    gpBIT32    refEdge;             /* Reference edge for operation                                         */
    gpBIT32    outOrient;           /* Print Orient (0,90,180,270)                                          */
    gpBIT32    putSepSheet;         /* Where to put separator sheet                                         */
    gpBIT32    mediaPrtSide;        /* Media side to print on                                               */
    gpBIT32    stitchType;          /* Type of stitching (finishing)                                        */
    gpBIT32    eventSubscpt;        /* Events to subscribe to                                               */
    gpBIT32    trimType;            /* Type of trimming (finishing)                                         */

    gpVOID*    jib;                 /* Internal data                                                        */

} opJobTicket, * opJTID;            /* Job Ticket Struct                                                    */

    /*** Open Printing Job Information Base (OPJIB)                                                         */
    /* ---------------------------------------------------------------------------------------------------- */
typedef struct _opPrintJobInformationBase {

    /*** Version for the OPJIB Definition                                                                   */
    /* ---------------------------------------------------------------------------------------------------- */
    gpBIT8      version[3];         /* OPJIB [V.xx.xx.xx]                                                   */

    /*** Job Ticket Object                                                                                  */
    /* ---------------------------------------------------------------------------------------------------- */
    opJobTicket* jobTicket;         /* Current Job Ticket                                                   */

    /*** Printer Object                                                                                     */
    /* ---------------------------------------------------------------------------------------------------- */
//    EPPIB       pibCap;             /* Printer Info Base:Capability                                         */
    gpCHAR      pibPath[256];       /* Location of PIB Info                                                 */

    /*** Target Printer 1284.4 Identifier                                                                   */
    /* ---------------------------------------------------------------------------------------------------- */
    gpCHAR     dot4MFG[128];
    gpCHAR     dot4CMD[128];
    gpCHAR     dot4CLS[128];
    gpCHAR     dot4MDL[128];
    gpCHAR     dot4DES[128];
    gpINT32    dot4Status;
    gpINT32    dot4Error;
    gpINT32    inkQuantity[10];
    gpINT32    inkLow     [10];
    gpINT32    inkReplace [10];
    gpINT32    cartOpen   [10];
    gpINT32    cartMissing[10];

    /*** I/O Object                                                                                         */
    /* ---------------------------------------------------------------------------------------------------- */
//    EPIIB       iib;             /* I/O Info Base:                                                        */

    /*** Gen State/Status/Error condition of Job                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    genState;           /* Various states                                                        */
    gpINT32    genStatus;          /* Current status                                                        */
    gpINT32    genError;           /* Last error                                                            */

    /*** Job State/Status/Error condition of Job                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    jobState;           /* Various states of a job                                               */
    gpINT32    jobStatus;          /* Current status of this job                                            */
    gpINT32    jobError;           /* Last error for this job                                               */

    /*** Printer State/Status/Error condition of Job                                                        */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    ptrState;           /* Various states of a job                                               */
    gpINT32    ptrStatus;          /* Current status of this job                                            */
    gpINT32    ptrError;           /* Last error for this job                                               */

    /*** Ink State/Status/Error condition of Job                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    inkState;           /* Various states of a toner                                             */
    gpINT32    inkStatus;          /* Current status of this job                                            */
    gpINT32    inkError;           /* Last error for this job                                               */

    /*** I/O State/Status/Error condition of Job                                                            */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    ioState;            /* Various states of a toner                                             */
    gpINT32    ioStatus;           /* Current status of this job                                            */
    gpINT32    ioError;            /* Last error for this job                                               */

    /*** Toner State/Status/Error condition of Job                                                          */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    allInkState  [10];  /* State  of all inks                                                    */
    gpINT32    allInkStatus [10];  /* Status of all inks                                                    */
    gpINT32    allInkError  [10];  /* Error  of all inks                                                    */

    /*** State/Attribute Information retrieved from the printer                                             */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    activePage;         /* -1 = not active; x = active                                           */
    gpINT32    activePaperPath;    /* Paper path indicated from ptr                                         */
    gpINT32    cleaningTime;       /* Cleaning Time                                                         */
    gpINT32    ptrCancelReq;       /* The printer requested cancel                                          */
    gpINT32    ptrPaperJam;        /* Printer detected paper jam                                            */

    /*** Job Control                                                                                        */
    /* ---------------------------------------------------------------------------------------------------- */
    gpINT32    suspendJob;         /* Suspend job                                                           */
    gpINT32    resumeJob;          /* Resume a suspended job                                                */
    gpINT32    cancelJob;          /* Cancel  job                                                           */

} opJIB, * opJIB_ID;               /* OPJIB Identifier (pointer)                                            */

/* ---------------------------------------- Local Global Variables ---------------------------------------- */
/* ..................................................|..................................................... */

/* ---------------------------------------- Function Declarations ----------------------------------------- */
/* ..................................................|..................................................... */
extern opERR_CODE opJobTicketNew(opJobTicket**);

#endif    /* __OPEN_PRINTING_JOB_TICKET_H__                                                                 */

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */
/*        1         2         3         4         5         6         7         8         9         10      */
/*2345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567*/
/* ======================================================================================================== */
/*                                                                                                          */
/* ========================================= op.job.ticket.h ============================================== */
/*                                                                                                          */
/*  END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE    END-OF-FILE   */
/* -------------------------------------------------------------------------------------------------------- */
